import React from 'react';
import { LinkBuy } from '../..';
import { Provider } from '../../common/Links/ReactRouterLinkHelper';
export default {
  title: 'Molecules / LinkBuy',
  parameters: {
    component: LinkBuy
  }
};
export var LinkBuyStory = {
  render: function render() {
    return React.createElement(Provider, null, React.createElement(LinkBuy, {
      to: "somewhere"
    }, "Buy"));
  },
  name: 'LinkBuy'
};
export var LinkBuyDisabled = {
  render: function render() {
    return React.createElement(Provider, null, React.createElement(LinkBuy, {
      disabled: true
    }, "Buy"));
  },
  name: 'LinkBuy disabled'
};
export var LinkBuyWithRelAsNofollow = {
  render: function render() {
    return React.createElement(Provider, null, React.createElement(LinkBuy, {
      to: "somewhere",
      rel: "nofollow"
    }, "Buy"));
  },
  name: 'LinkBuy with rel as nofollow'
};